unit fIgnoreList;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList;

type
  TfrmIgnoreList = class(TForm)
    lvIgnoreList: TListView;
    Panel1: TPanel;
    btnClose: TBitBtn;
    btnDelete: TBitBtn;
    ImageList1: TImageList;
    procedure FormShow(Sender: TObject);
    procedure btnCloseClick(Sender: TObject);
    procedure btnDeleteClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  IgnoreListFile = 'IgnoreList.txt';

var
  frmIgnoreList: TfrmIgnoreList;
  IgnoreList: TStringList;

implementation

{$R *.dfm}

procedure TfrmIgnoreList.FormShow(Sender: TObject);
var
  i: integer;
  item: TlistItem;
begin
  lvIgnoreList.Clear();
  for i := 0 to IgnoreList.Count - 1 do
  begin
    item := lvIgnoreList.Items.Add();
    item.Caption := IgnoreList.Strings[i];
    item.ImageIndex := 0;
  end;
end;

procedure TfrmIgnoreList.btnCloseClick(Sender: TObject);
begin
  Close();
end;

procedure TfrmIgnoreList.btnDeleteClick(Sender: TObject);
var
  i: integer;
begin
  for i := 0 to lvIgnoreList.Items.Count - 1 do
  begin
    while (lvIgnoreList.Items.Count > i) and
      lvIgnoreList.Items[i].Checked do
    begin
      lvIgnoreList.Items[i].Delete;
      IgnoreList.Delete(i);
    end;
  end;
  IgnoreList.SaveToFile(ExtractFilePath(Application.ExeName) + '\' +
    IgnoreListFile);
end;

end.
